% FDEMtools
%   G.P. Deidda, P. Díaz de Alba, C. Fenu, G. Lovicu, and G. Rodriguez
%   University of Cagliari, Italy
%
% Forward Model
%   reflfact       - compute the reflection factor R(lambda)
%   hratio         - compute the ratio H_S/H_P, i.e., the device readings
%   inphase        - compute the in-phase (real) component of H_S/H_P
%   quadracomp     - compute the quadrature (complex) component of H_S/H_P
%   aconduct       - compute the apparent conductivity
%
% Computational Routines
%   emsolvenlsig   - reconstruct the electrical conductivity
%   emsolvenlmu    - reconstruct the magnetic permeability
%   tsvdnewt       - Gauss-Newton method regularized by T(G)SVD
%   jack           - approximate the Jacobian matrix by finite differences
%   hankelpts      - quadrature nodes for Hankel transform
%   hankelwts      - quadrature weights for Hankel transform
%   FDEMgui        - graphical user interface (GUI) activation command
%
% Test scripts
%   driver         - test program for emsolvenlsig and emsolvenlmu
%   driver2D       - 2D test script
%
% Auxiliary Routines
%   fdemcomp       - execute the inversion algorithm
%   chooseparam    - define default parameters and test functions 
%   chooseparambis - define default parameters
%   fdemdoi        - compute the depth of investigation (DOI)
%   fdemprint      - print information about the whole process
%   mgsreg         - compute the minimum gradient regularization matrix
%   addnoise       - add noise to data
%   morozov        - choose regularization parameter by discrepancy principle
%   quasihybrid    - choose regularization parameter by quasi-hybrid method
%   plotresults    - display intermediate results during iteration
%   fdemplot       - plot the reconstr. solution and, if avail., the exact one
%   startup        - set here the path to P. C. Hansen's Regularization Tools

