%CHOOSEPARAM define default parameters and test functions 

%   G.P. Deidda, P. Díaz de Alba, C. Fenu, and G. Rodriguez
%   University of Cagliari, Italy
%
%   Last revised June 10, 2019

%
% Fix various parameters
%
mu0 = pi*4e-7;  % magnetic permeability of free space
damped = 1;     % damped Gauss-Newton method
dampos = 1;     % damping parameter is used to keep the solution positive

%
% Model functions for synthetic data
%
funs = cell(6,1);
funs{1} = @(z) exp(-(z-1.2).^2);
funs{2} = @(z) (8*z+1)/5.*(z<=.5) + (6-2*z)/5.*(z>.5);
funs{3} = @(z) .2.*(z<=.5) + 1.*(z>.5).*(z<1.5) + .2*(z>=1.5);
funs{4} = @(z) 1*(z<=1) + .55*(z>1);
funs{5} = @(z,mini,maxi) mini*(z<=agrad) + maxi*(z>agrad).*(z<bgrad) + mini*(z>=bgrad);
funs{6} = @(z,mini,maxi) mini + maxi*exp(-20*(z-1.2).^2);
funs{7} = @(z) .1*(z<=1) + .5*(z>1);
funs{8} = @(z) .2.*(z<=0.5) + 1.*(z>0.5).*(z<1) + .2*(z>=1);
funs{9} = @(z) .050.*(z<=0.1) + 0.30.*(z>0.1).*(z<0.6) + .050*(z>=0.6);
funs{10} = @(z) 1*(.050.*(z<=0.1) + 1.*(z>0.1).*(z<0.6) + .050*(z>=0.6));
funs{11} = @(z,a,b) a*exp(-(z-1.2).^2)+b;
funs{12} = @(z) (8*z+1)/5.*(z<=.5).*((8*z+1)/5>0.001) + (6-2*z)/5.*(z>.5).*((6-2*z)/5>0.001);
nfun = size(funs,1);

%
% Noise configuration 
%
noisetype = 'relative';

