function [sigma,imat,nor] = fdemdoi(FDEMresults,threshold)
%FDEMDOI compute the depth of investigation (DOI) for a data vector/matrix 
%   and insert NaNs to highlite it.
%   DOISOL = fdemdoi(FDEMresults,threshold)
%   where
%      FDEMresults - data structure containing the results
%      threshold   - threshold percentage
%
%   Last revised June 10, 2019

sigma = FDEMresults.solution;
func = FDEMresults.model;

[n,ncol] = size(sigma);

nor = zeros(n,ncol);
imat = zeros(n,ncol);
for j = 1:ncol
	[~,J] = func(sigma(:,j));
	J(:,end) = 0;
	for i = 1:n
		nor(i,j) = norm(J(:,i));
	end
	ivet = nor(:,j) <= threshold*nor(1,j);
	sigma(ivet,j) = nan;
	imat(:,j) = ivet;
end

